import * as v from 'valibot';
export declare const idRegex: RegExp;
export declare const vNonEmptyArray: <T extends unknown[]>() => v.CustomSchema<[T[number], ...T], undefined>;
export declare const vIdString: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
export type Json = string | number | boolean | null | {
    [key: string]: Json;
} | Json[];
export declare const vJsonLiteral: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>;
export type JsonLiteral = v.InferOutput<typeof vJsonLiteral>;
export declare const vJsonArray: v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>, undefined>;
export declare const vJson: v.GenericSchema<Json>;
export declare const vJsonRecord: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<Json, Json, v.BaseIssue<unknown>>, undefined>;
export type JsonRecord = v.InferOutput<typeof vJsonRecord>;
export declare const vJsonValue: v.UnionSchema<[v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>, v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>, undefined>, v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<Json, Json, v.BaseIssue<unknown>>, undefined>], undefined>;
export declare const vStringToJson: v.RawTransformAction<string, Json>;
//# sourceMappingURL=u-dcql.d.ts.map